oracle.adf.view.rich.component.rich.layout

## Enum RichPanelFormLayout.Layout

- java.lang.Object
- - java.lang.Enum<RichPanelFormLayout.Layout>
  - - oracle.adf.view.rich.component.rich.layout.RichPanelFormLayout.Layout

- All Implemented Interfaces:
    Serializable, Comparable<RichPanelFormLayout.Layout>
  Enclosing class:
    RichPanelFormLayout

      public static enum RichPanelFormLayout.Layout
      extends Enum<RichPanelFormLayout.Layout>

  Enumeration for layout property

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIXED` Size to the width of the screen and truncate the labels and fields
    `RESPONSIVE` Arranges the form layout contents in a responsive manner based on the container size.
    `WEIGHTED` Size to the content

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `displayName()` Retrieves the display name for the Layout constant
    `static RichPanelFormLayout.Layout` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RichPanelFormLayout.Layout` | `valueOfDisplayName(String displayName)` Returns the Layout constant associated with the specified displayName.
    `static RichPanelFormLayout.Layout[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WEIGHTED

          public static final RichPanelFormLayout.Layout WEIGHTED

      Size to the content

    - #### FIXED

          public static final RichPanelFormLayout.Layout FIXED

      Size to the width of the screen and truncate the labels and fields

    - #### RESPONSIVE

          public static final RichPanelFormLayout.Layout RESPONSIVE

      Arranges the form layout contents in a responsive manner based on the container size. "maxColumns" attribute determines the maximum number of columns the panel should have when there is sufficient space available. Responsive label alignment can overriden using labelAlignment attribute. "rows", "labelWidth" and "fieldWidth" attributes have no impact in this mode. labelWidth and fieldWidth should instead be managed via CSS now. Nested af:group is not allowed in this mode.

  - ### Method Detail

    - #### values

          public static RichPanelFormLayout.Layout[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RichPanelFormLayout.Layout c : RichPanelFormLayout.Layout.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RichPanelFormLayout.Layout valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### displayName

          public String displayName()

      Retrieves the display name for the Layout constant
      Returns:
        display name

    - #### valueOfDisplayName

          public static RichPanelFormLayout.Layout valueOfDisplayName(String displayName)

      Returns the Layout constant associated with the specified displayName.
      Parameters:
        `displayName` - the displayName to look up
      Returns:
        Layout constant associated with the specified displayName
      Throws:
        `IllegalArgumentException` - if the displayName does not correspond to a Layout constant.

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.